diff -Nru abiword-3.0.5~dfsg/debian/changelog abiword-3.0.5~dfsg/debian/changelog
--- abiword-3.0.5~dfsg/debian/changelog	2022-09-11 20:35:04.000000000 +0200
+++ abiword-3.0.5~dfsg/debian/changelog	2024-07-03 18:41:46.000000000 +0200
@@ -1,3 +1,14 @@
+abiword (3.0.5~dfsg-3.3) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix FTBFS against libxml2 2.12, using patch from upstream GIT.
+    Closes: #1073339
+  * Drop outdated copy of libgcrypt.m4 to let autoreconf use the current
+    version which works without libgcrypt-config even when AM_PATH_GPG_ERROR()
+    is not used. Closes: #1070892
+
+ -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Jul 2024 18:41:46 +0200
+
 abiword (3.0.5~dfsg-3.2) unstable; urgency=medium
 
   * Non-maintainer upload
diff -Nru abiword-3.0.5~dfsg/debian/patches/drop-outdated-libgcrypt.m4.diff abiword-3.0.5~dfsg/debian/patches/drop-outdated-libgcrypt.m4.diff
--- abiword-3.0.5~dfsg/debian/patches/drop-outdated-libgcrypt.m4.diff	1970-01-01 01:00:00.000000000 +0100
+++ abiword-3.0.5~dfsg/debian/patches/drop-outdated-libgcrypt.m4.diff	2024-07-03 18:38:08.000000000 +0200
@@ -0,0 +1,118 @@
+Description: Drop outdated copy of libgcrypt autoconf macros
+ These do not work sabs libgcrypt-config, i.e. with libgcrypt >= 1.11.
+ Deletion lets autoreconf use the included updated macros.
+Author: Andreas Metzler <ametzler@debian.org>
+Bug-Debian: https://bugs.debian.org/1070892
+Last-Update: 2024-07-03
+
+--- abiword-3.0.5~dfsg.orig/libgcrypt.m4
++++ /dev/null
+@@ -1,108 +0,0 @@
+-dnl Autoconf macros for libgcrypt
+-dnl       Copyright (C) 2002, 2004 Free Software Foundation, Inc.
+-dnl
+-dnl This file is free software; as a special exception the author gives
+-dnl unlimited permission to copy and/or distribute it, with or without
+-dnl modifications, as long as this notice is preserved.
+-dnl
+-dnl This file is distributed in the hope that it will be useful, but
+-dnl WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+-dnl implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+-
+-
+-dnl AM_PATH_LIBGCRYPT([MINIMUM-VERSION,
+-dnl                   [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]]])
+-dnl Test for libgcrypt and define LIBGCRYPT_CFLAGS and LIBGCRYPT_LIBS.
+-dnl MINIMUN-VERSION is a string with the version number optionalliy prefixed
+-dnl with the API version to also check the API compatibility. Example:
+-dnl a MINIMUN-VERSION of 1:1.2.5 won't pass the test unless the installed 
+-dnl version of libgcrypt is at least 1.2.5 *and* the API number is 1.  Using
+-dnl this features allows to prevent build against newer versions of libgcrypt
+-dnl with a changed API.
+-dnl
+-AC_DEFUN([AM_PATH_LIBGCRYPT],
+-[ AC_ARG_WITH(libgcrypt-prefix,
+-            AC_HELP_STRING([--with-libgcrypt-prefix=PFX],
+-                           [prefix where LIBGCRYPT is installed (optional)]),
+-     libgcrypt_config_prefix="$withval", libgcrypt_config_prefix="")
+-  if test x$libgcrypt_config_prefix != x ; then
+-     if test x${LIBGCRYPT_CONFIG+set} != xset ; then
+-        LIBGCRYPT_CONFIG=$libgcrypt_config_prefix/bin/libgcrypt-config
+-     fi
+-  fi
+-
+-  AC_PATH_PROG(LIBGCRYPT_CONFIG, libgcrypt-config, no)
+-  tmp=ifelse([$1], ,1:1.2.0,$1)
+-  if echo "$tmp" | grep ':' >/dev/null 2>/dev/null ; then
+-     req_libgcrypt_api=`echo "$tmp"     | sed 's/\(.*\):\(.*\)/\1/'`
+-     min_libgcrypt_version=`echo "$tmp" | sed 's/\(.*\):\(.*\)/\2/'`
+-  else
+-     req_libgcrypt_api=0
+-     min_libgcrypt_version="$tmp"
+-  fi
+-
+-  AC_MSG_CHECKING(for LIBGCRYPT - version >= $min_libgcrypt_version)
+-  ok=no
+-  if test "$LIBGCRYPT_CONFIG" != "no" ; then
+-    req_major=`echo $min_libgcrypt_version | \
+-               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\1/'`
+-    req_minor=`echo $min_libgcrypt_version | \
+-               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\2/'`
+-    req_micro=`echo $min_libgcrypt_version | \
+-               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\3/'`
+-    libgcrypt_config_version=`$LIBGCRYPT_CONFIG --version`
+-    major=`echo $libgcrypt_config_version | \
+-               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\).*/\1/'`
+-    minor=`echo $libgcrypt_config_version | \
+-               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\).*/\2/'`
+-    micro=`echo $libgcrypt_config_version | \
+-               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\).*/\3/'`
+-    if test "$major" -gt "$req_major"; then
+-        ok=yes
+-    else 
+-        if test "$major" -eq "$req_major"; then
+-            if test "$minor" -gt "$req_minor"; then
+-               ok=yes
+-            else
+-               if test "$minor" -eq "$req_minor"; then
+-                   if test "$micro" -ge "$req_micro"; then
+-                     ok=yes
+-                   fi
+-               fi
+-            fi
+-        fi
+-    fi
+-  fi
+-  if test $ok = yes; then
+-    AC_MSG_RESULT([yes ($libgcrypt_config_version)])
+-  else
+-    AC_MSG_RESULT(no)
+-  fi
+-  if test $ok = yes; then
+-     # If we have a recent libgcrypt, we should also check that the
+-     # API is compatible
+-     if test "$req_libgcrypt_api" -gt 0 ; then
+-        tmp=`$LIBGCRYPT_CONFIG --api-version 2>/dev/null || echo 0`
+-        if test "$tmp" -gt 0 ; then
+-           AC_MSG_CHECKING([LIBGCRYPT API version])
+-           if test "$req_libgcrypt_api" -eq "$tmp" ; then
+-             AC_MSG_RESULT([okay])
+-           else
+-             ok=no
+-             AC_MSG_RESULT([does not match. want=$req_libgcrypt_api got=$tmp])
+-           fi
+-        fi
+-     fi
+-  fi
+-  if test $ok = yes; then
+-    LIBGCRYPT_CFLAGS=`$LIBGCRYPT_CONFIG --cflags`
+-    LIBGCRYPT_LIBS=`$LIBGCRYPT_CONFIG --libs`
+-    ifelse([$2], , :, [$2])
+-  else
+-    LIBGCRYPT_CFLAGS=""
+-    LIBGCRYPT_LIBS=""
+-    ifelse([$3], , :, [$3])
+-  fi
+-  AC_SUBST(LIBGCRYPT_CFLAGS)
+-  AC_SUBST(LIBGCRYPT_LIBS)
+-])
diff -Nru abiword-3.0.5~dfsg/debian/patches/Fix-build-with-libxml2-2.12.diff abiword-3.0.5~dfsg/debian/patches/Fix-build-with-libxml2-2.12.diff
--- abiword-3.0.5~dfsg/debian/patches/Fix-build-with-libxml2-2.12.diff	1970-01-01 01:00:00.000000000 +0100
+++ abiword-3.0.5~dfsg/debian/patches/Fix-build-with-libxml2-2.12.diff	2024-07-03 07:34:03.000000000 +0200
@@ -0,0 +1,29 @@
+From 2a06be6a10a0718f8a3d8e00c317f5042c99a467 Mon Sep 17 00:00:00 2001
+From: Jan Tojnar <jtojnar@gmail.com>
+Date: Mon, 11 Dec 2023 01:55:53 +0100
+Subject: [PATCH] Fix build with libxml2 2.12
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+libxml 2.12.0 restructured headers so that xmlFree is no longer in the scope.
+Let’s add the correct include.
+---
+ src/af/util/xp/ut_stringbuf.cpp | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/af/util/xp/ut_stringbuf.cpp b/src/af/util/xp/ut_stringbuf.cpp
+index f1e8d9078..88488ad67 100644
+--- a/src/af/util/xp/ut_stringbuf.cpp
++++ b/src/af/util/xp/ut_stringbuf.cpp
+@@ -26,6 +26,7 @@
+ #include <algorithm>
+ 
+ #include <libxml/uri.h>
++#include <libxml/xmlmemory.h>
+ 
+ #include <glib.h>
+ 
+-- 
+GitLab
+
diff -Nru abiword-3.0.5~dfsg/debian/patches/series abiword-3.0.5~dfsg/debian/patches/series
--- abiword-3.0.5~dfsg/debian/patches/series	2022-09-11 20:35:04.000000000 +0200
+++ abiword-3.0.5~dfsg/debian/patches/series	2024-07-03 18:35:04.000000000 +0200
@@ -8,3 +8,5 @@
 mime-types.diff
 enchant2.patch
 disable-some-unix-test.patch
+Fix-build-with-libxml2-2.12.diff
+drop-outdated-libgcrypt.m4.diff
